-- Create table
create table TMP_MSG_AJUST
(
  ID   NUMBER not null,
  MSG  VARCHAR2(200),
  DATA DATE
)
tablespace USERS
  pctfree 10
  initrans 1
  maxtrans 255
  storage
  (
    initial 64K
    minextents 1
    maxextents unlimited
  );
-- Create/Recreate primary, unique and foreign key constraints 
alter table TMP_MSG_AJUST
  add constraint PK1 primary key (ID)
  using index 
  tablespace USERS
  pctfree 10
  initrans 2
  maxtrans 255
  storage
  (
    initial 64K
    minextents 1
    maxextents unlimited
  );
-- Grant/Revoke object privileges 
grant select on TMP_MSG_AJUST to NUDEST;
