CREATE OR REPLACE FUNCTION SF_ESCREVE_REGRA_TEMP (p_regra VARCHAR2) return varchar2 is

v_pend varchar2(100);
v_ent varchar2(100);
v_sai varchar2(100);
v_ajt varchar2(100);

cursor cItens(p_tp_ajuste char) is
    select i.num_item
    from vl_itens_temp i
    where i.tp_item = p_tp_ajuste
          and i.num_regra = p_regra;

begin
    v_pend = '';
    v_ent = '';
    v_sai = '';
    v_ajt = '';

    for p in cItens('P') loop

        v_pend = v_pend  'Q'  p.num_item  ' + ';
        v_ajt = v_ajt  'Q30'  p.num_item  ' - Q40'  p.num_item  ' + ';

    end loop;

    v_pend = substr(v_pend, 0, length(v_pend)-3); --  retira o ultimo ' + '
    v_ajt = substr(v_ajt, 0, length(v_ajt)-3); --  retira o ultimo ' + '

    for p in cItens('E') loop

        v_ent = v_ent  'Q'  p.num_item  ' + ';

    end loop;

    v_ent = substr(v_ent, 0, length(v_ent)-3); --  retira o ultimo ' + '

    for p in cItens('S') loop

        v_sai = v_sai  'Q'  p.num_item  ' + ';

    end loop;

    v_sai = substr(v_sai, 0, length(v_sai)-3); --  retira o ultimo ' + '

    return '('  v_pend  ')i-1 + ('  v_ent  ')i - ('  v_sai  ')i + ('  v_ajt  ')i = ('  v_pend  ')i';


end;

 