 select distinct t1.desc_regra,         
        v.num_interno_vara,
        t1.msg,        
        pr.num_interno_processo
  from vl_log  t1
 left join  vl_log_Detalhado t2 on t1.num_regra=t2.num_regra 
                                   and t1.sq_setor = t2.sq_setor 
                                   and t1.num_remessa = t2.num_remessa
                                   and t1.num_lote = t2.num_lote
  inner join egt_vara v on t1.sq_setor = v.num_interno_vara  
  left join egt_processo pr on t2.num_interno_processo=pr.num_interno_processo  
 where in_validacao='Erro'
       and t1.tp_regra = 'CLASS'
       and t1.num_remessa = &remessa      --colocar remessa
       and t1.num_lote = &lote           --colocar lote
 order by t1.desc_regra, v.num_interno_vara, pr.num_interno_processo