 select t1.desc_regra,         
        v.num_interno_vara,    
        t1.msg,    
        t2.desc_erro,
        pr.num_interno_processo
 from vl_log  t1
 left join  vl_log_Detalhado t2 on t1.num_regra=t2.num_regra 
                                   and t1.sq_setor = t2.sq_setor 
                                   and t1.num_remessa = t2.num_remessa
                                   and t1.num_lote = t2.num_lote
 inner join egt_vara v on t1.sq_setor = v.num_interno_vara  
 left join egt_processo pr on t2.num_interno_processo=pr.num_interno_processo 
 left join vl_regras_nao_temp r on r.num_regra = t1.num_regra
 where in_validacao='Erro'
       and r.tp_regra in ('QV', 'Q')
       and t1.num_remessa = &remessa      --colocar remessa
       and t1.num_lote = &lote           --colocar lote
 order by t1.desc_regra, v.num_interno_vara, t2.desc_erro, pr.num_interno_processo